INTERFACE
SUBROUTINE LATTEXTL(KST,KPROF,PDTS2,PBT,PBDT,PESGP,PESGM,&
 & PRCORI,POMVRL,POMVRM,POROG,POROGL,POROGM,&
 & PGAGT0L,PGAGT0M,PTOD0,PSGRTL,PSGRTM,PKAP,PVVEL,PRDELP,PEVEL,&
 & PGFL,PGMV,PGMVT1,PB1,PB2,&
 & PGAGT5L,PGAGT5M,PTOD5,PSGRT5L,PSGRT5M,PKAP5,PVVEL5,PRDELP5,PEVEL5,&
 & PGMV5,PGFL5,PUNLT95,PVNLT95,PTNLT95,PB15) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMA ,NFLEVG ,NFLSA ,NFLEN
USE YOMGMV , ONLY : NDIMGMV ,YT0 ,YT1 ,YT9 ,YT5
USE YOMSC2 , ONLY : NFLDSLB1 ,NFLDSLB15,NFLDSLB2
USE YOM_YGFL , ONLY : YGFL ,YGFLC
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS2
REAL(KIND=JPRB) ,INTENT(IN) :: PBT
REAL(KIND=JPRB) ,INTENT(IN) :: PBDT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT0L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT0M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOD0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRTM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NPROMA,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOD5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRT5L(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRT5M(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PGMV5(NPROMA,NFLEVG,YT5%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFL5(NPROMA,NFLEVG,YGFL%NDIM5)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUNLT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVNLT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTNLT95(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB15(NPROMA,NFLDSLB15)
END SUBROUTINE LATTEXTL
END INTERFACE
